Package org.eclipse.birt.chart.model.type.impl

# Class LineSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.LineSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `LineSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `AreaSeriesImpl`, `ScatterSeriesImpl`

public class LineSeriesImpl extends SeriesImpl implements LineSeries
An implementation of the model object ' Line Series'.

The following features are implemented:

- `Markers`
- `Marker`
- `Line Attributes`
- `Palette Line Color`
- `Curve`
- `Shadow Color`
- `Connect Missing Value`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetMarker(Marker newMarker, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`canBeStacked()`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written
`boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`final boolean`
`canShareAxisUnit()`
Indicates if this series graphic element may share a scale unit with other similar elements.
`LineSeries`
`copyInstance()`
`static Series`
`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`LineAttributes`
`getLineAttributes()`
`Marker`
`getMarker()`
`org.eclipse.emf.common.util.EList<Marker>`
`getMarkers()`
`ColorDefinition`
`getShadowColor()`
`boolean`
`isConnectMissingValue()`
`boolean`
`isCurve()`
`boolean`
`isPaletteLineColor()`
`boolean`
`isSetConnectMissingValue()`
`boolean`
`isSetCurve()`
`boolean`
`isSetPaletteLineColor()`
`void`
`setConnectMissingValue(boolean newConnectMissingValue)`
`void`
`setCurve(boolean newCurve)`
`void`
`setLineAttributes(LineAttributes newLineAttributes)`
`void`
`setMarker(Marker newMarker)`
`void`
`setPaletteLineColor(boolean newPaletteLineColor)`
`void`
`setShadowColor(ColorDefinition newShadowColor)`
`String`
`toString()`
`void`
`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.
`void`
`unsetConnectMissingValue()`
`void`
`unsetCurve()`
`void`
`unsetPaletteLineColor()`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getMarkers

public org.eclipse.emf.common.util.EList<Marker> getMarkers()

Specified by:
  `getMarkers` in interface `LineSeries`
Returns:
  the value of the 'Markers' containment reference list.
See Also:
  - `TypePackage.getLineSeries_Markers()`

### getMarker

public Marker getMarker()

Specified by:
  `getMarker` in interface `LineSeries`
Returns:
  the value of the 'Marker' containment reference.
See Also:
  - `LineSeries.setMarker(Marker)`
  - `TypePackage.getLineSeries_Marker()`

### basicSetMarker

public org.eclipse.emf.common.notify.NotificationChain basicSetMarker(Marker newMarker, org.eclipse.emf.common.notify.NotificationChain msgs)

### setMarker

public void setMarker(Marker newMarker)

Specified by:
  `setMarker` in interface `LineSeries`
Parameters:
  `newMarker` - the new value of the 'Marker' containment reference.
See Also:
  - `LineSeries.getMarker()`

### getLineAttributes

public LineAttributes getLineAttributes()

Specified by:
  `getLineAttributes` in interface `LineSeries`
Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `LineSeries.setLineAttributes(LineAttributes)`
  - `TypePackage.getLineSeries_LineAttributes()`

### basicSetLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLineAttributes

public void setLineAttributes(LineAttributes newLineAttributes)

Specified by:
  `setLineAttributes` in interface `LineSeries`
Parameters:
  `newLineAttributes` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `LineSeries.getLineAttributes()`

### isPaletteLineColor

public boolean isPaletteLineColor()

Specified by:
  `isPaletteLineColor` in interface `LineSeries`
Returns:
  the value of the 'Palette Line Color' attribute.
See Also:
  - `LineSeries.isSetPaletteLineColor()`
  - `LineSeries.unsetPaletteLineColor()`
  - `LineSeries.setPaletteLineColor(boolean)`
  - `TypePackage.getLineSeries_PaletteLineColor()`

### setPaletteLineColor

public void setPaletteLineColor(boolean newPaletteLineColor)

Specified by:
  `setPaletteLineColor` in interface `LineSeries`
Parameters:
  `newPaletteLineColor` - the new value of the 'Palette Line Color' attribute.
See Also:
  - `LineSeries.isSetPaletteLineColor()`
  - `LineSeries.unsetPaletteLineColor()`
  - `LineSeries.isPaletteLineColor()`

### unsetPaletteLineColor

public void unsetPaletteLineColor()

Specified by:
  `unsetPaletteLineColor` in interface `LineSeries`
See Also:
  - `LineSeries.isSetPaletteLineColor()`
  - `LineSeries.isPaletteLineColor()`
  - `LineSeries.setPaletteLineColor(boolean)`

### isSetPaletteLineColor

public boolean isSetPaletteLineColor()

Specified by:
  `isSetPaletteLineColor` in interface `LineSeries`
Returns:
  whether the value of the 'Palette Line Color' attribute is set.
See Also:
  - `LineSeries.unsetPaletteLineColor()`
  - `LineSeries.isPaletteLineColor()`
  - `LineSeries.setPaletteLineColor(boolean)`

### isCurve

public boolean isCurve()

Specified by:
  `isCurve` in interface `LineSeries`
Returns:
  the value of the 'Curve' attribute.
See Also:
  - `LineSeries.isSetCurve()`
  - `LineSeries.unsetCurve()`
  - `LineSeries.setCurve(boolean)`
  - `TypePackage.getLineSeries_Curve()`

### setCurve

public void setCurve(boolean newCurve)

Specified by:
  `setCurve` in interface `LineSeries`
Parameters:
  `newCurve` - the new value of the 'Curve' attribute.
See Also:
  - `LineSeries.isSetCurve()`
  - `LineSeries.unsetCurve()`
  - `LineSeries.isCurve()`

### unsetCurve

public void unsetCurve()

Specified by:
  `unsetCurve` in interface `LineSeries`
See Also:
  - `LineSeries.isSetCurve()`
  - `LineSeries.isCurve()`
  - `LineSeries.setCurve(boolean)`

### isSetCurve

public boolean isSetCurve()

Specified by:
  `isSetCurve` in interface `LineSeries`
Returns:
  whether the value of the 'Curve' attribute is set.
See Also:
  - `LineSeries.unsetCurve()`
  - `LineSeries.isCurve()`
  - `LineSeries.setCurve(boolean)`

### getShadowColor

public ColorDefinition getShadowColor()

Specified by:
  `getShadowColor` in interface `LineSeries`
Returns:
  the value of the 'Shadow Color' containment reference.
See Also:
  - `LineSeries.setShadowColor(ColorDefinition)`
  - `TypePackage.getLineSeries_ShadowColor()`

### basicSetShadowColor

public org.eclipse.emf.common.notify.NotificationChain basicSetShadowColor(ColorDefinition newShadowColor, org.eclipse.emf.common.notify.NotificationChain msgs)

### setShadowColor

public void setShadowColor(ColorDefinition newShadowColor)

Specified by:
  `setShadowColor` in interface `LineSeries`
Parameters:
  `newShadowColor` - the new value of the 'Shadow Color' containment reference.
See Also:
  - `LineSeries.getShadowColor()`

### isConnectMissingValue

public boolean isConnectMissingValue()

Specified by:
  `isConnectMissingValue` in interface `LineSeries`
Returns:
  the value of the 'Connect Missing Value' attribute.
See Also:
  - `LineSeries.isSetConnectMissingValue()`
  - `LineSeries.unsetConnectMissingValue()`
  - `LineSeries.setConnectMissingValue(boolean)`
  - `TypePackage.getLineSeries_ConnectMissingValue()`

### setConnectMissingValue

public void setConnectMissingValue(boolean newConnectMissingValue)

Specified by:
  `setConnectMissingValue` in interface `LineSeries`
Parameters:
  `newConnectMissingValue` - the new value of the 'Connect Missing Value' attribute.
See Also:
  - `LineSeries.isSetConnectMissingValue()`
  - `LineSeries.unsetConnectMissingValue()`
  - `LineSeries.isConnectMissingValue()`

### unsetConnectMissingValue

public void unsetConnectMissingValue()

Specified by:
  `unsetConnectMissingValue` in interface `LineSeries`
See Also:
  - `LineSeries.isSetConnectMissingValue()`
  - `LineSeries.isConnectMissingValue()`
  - `LineSeries.setConnectMissingValue(boolean)`

### isSetConnectMissingValue

public boolean isSetConnectMissingValue()

Specified by:
  `isSetConnectMissingValue` in interface `LineSeries`
Returns:
  whether the value of the 'Connect Missing Value' attribute is set.
See Also:
  - `LineSeries.unsetConnectMissingValue()`
  - `LineSeries.isConnectMissingValue()`
  - `LineSeries.setConnectMissingValue(boolean)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `SeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `SeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `SeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `SeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `SeriesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `SeriesImpl`

### canParticipateInCombination

public boolean canParticipateInCombination()
Description copied from interface: `Series`
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Specified by:
  `canParticipateInCombination` in interface `Series`
Overrides:
  `canParticipateInCombination` in class `SeriesImpl`
Returns:
  true means this series can be used in combination chart

### translateFrom

public void translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)
Description copied from interface: `Series`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary. This method should be overridden by each series type implementation in particular if the series type can participate in a combination. It will be called when converting from one series type to another. The iSeriesDefinitionIndex value is the index of the series definition among all series definitions at the same level (base or orthogonal) NOTE: Manually written

Specified by:
  `translateFrom` in interface `Series`
Overrides:
  `translateFrom` in class `SeriesImpl`

### canShareAxisUnit

public final boolean canShareAxisUnit()
Description copied from interface: `Series`
Indicates if this series graphic element may share a scale unit with other similar elements. NOTE: Manually written

Specified by:
  `canShareAxisUnit` in interface `Series`
Overrides:
  `canShareAxisUnit` in class `SeriesImpl`
Returns:
  true means this series can share scale unit

### create

public static Series create()
A convenience method to create an initialized 'Series' instance

Returns:
  line series instance with setting 'isSet' flag.

### createDefault

public static Series createDefault()
A convenience method to create an initialized 'Series' instance

Returns:
  line series instance without setting 'isSet' flag.

### canBeStacked

public boolean canBeStacked()
Description copied from interface: `Series`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written

Specified by:
  `canBeStacked` in interface `Series`
Overrides:
  `canBeStacked` in class `SeriesImpl`
Returns:
  true means this series can be stacked

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `SeriesImpl`
Returns:
  display name for the series type

### copyInstance

public LineSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `Series`
Overrides:
  `copyInstance` in class `SeriesImpl`